@import url('https://fonts.googleapis.com/css2?family=Fondamento:ital@0;1&display=swap');

:root {
    --highlight: #9ce3b6;
    --light-green: #9fc38b;
    --green: #457020;
    --dark-green: #052d09;

    --border: var(--green) double 3px;
}

body {
    display: flex;
    flex-direction: column;
    font-family: "Fondamento", cursive;
    background-color: var(--light-green);
    color: var(--dark-green);
    margin: 0;
    height: 100vh;
}

::selection {
    background-color: var(--highlight);
    color: var(--green);
}

h1, h2 {
    color: var(--dark-green);
}

a {
    color: var(--dark-green);
    text-decoration: none;
    font-size: 20px;
}

a:hover {
    color: var(--green);
    text-decoration: wavy underline;
}

header {
    display: flex;
    border-bottom: var(--border);
    flex-wrap: wrap;

    > a {
        display: flex;
        align-items: center;
        padding: 0 15px;
        padding-left: 5px;
        
        h1 {
            margin: 0;
        }

        img {
            transition: transform 1s linear;
            margin: 10px;
            margin-right: 15px;

            &:hover {
                transform: rotateY(180deg);
            }
        }
    }

    nav {
        display: flex;
        align-items: center;
        align-self: stretch;
        border-left: var(--border);
        padding: 0px 5px;

        a {
            display: flex;
            align-items: center;
            padding: 15px;
            margin-bottom: -5px;
            height: 100%;
        }
    }
}

main {
    flex: auto;
    padding: 0 15px;

    img {
        width: 100%;
        max-width: 500px;
    }

    .gallery {
        display: flex;
    }
}

footer {
    border-top: var(--border);
    padding: 0 15px;
}